## org.eclipse.emf.compare.match.metamodel.util
Class MatchSwitch<T>

    java.lang.Object
      org.eclipse.emf.compare.match.metamodel.util.MatchSwitch<T>

    public class MatchSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `MatchPackage`

Field Summary
`protected static MatchPackage` `modelPackage` The cached model package

Constructor Summary
`MatchSwitch()` Creates an instance of the switch

Method Summary
`T` `caseMatch2Elements(Match2Elements object)` Returns the result of interpretting the object as an instance of 'Match2 Elements'.
`T` `caseMatch3Elements(Match3Elements object)` Returns the result of interpreting the object as an instance of 'Match3 Elements'.
`T` `caseMatchElement(MatchElement object)` Returns the result of interpretting the object as an instance of 'Element'.
`T` `caseMatchModel(MatchModel object)` Returns the result of interpreting the object as an instance of 'Model'
`T` `caseMatchResourceSet(MatchResourceSet object)` Returns the result of interpreting the object as an instance of 'Resource Set'.
`T` `caseUnmatchElement(UnmatchElement object)` Returns the result of interpreting the object as an instance of 'Unmatch Element'.
`T` `caseUnmatchModel(UnmatchModel object)` Returns the result of interpreting the object as an instance of 'Unmatch Model'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MatchPackage modelPackage

  The cached model package

Constructor Detail

### MatchSwitch

    public MatchSwitch()

  Creates an instance of the switch.

Method Detail

### caseMatch2Elements

    public T caseMatch2Elements(Match2Elements object)

  Returns the result of interpretting the object as an instance of 'Match2 Elements'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Match2 Elements'.
  See Also:
    `doSwitch(EObject)`

### caseMatch3Elements

    public T caseMatch3Elements(Match3Elements object)

  Returns the result of interpreting the object as an instance of 'Match3 Elements'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Match3 Elements'.
  See Also:
    `doSwitch(EObject)`

### caseUnmatchElement

    public T caseUnmatchElement(UnmatchElement object)

  Returns the result of interpreting the object as an instance of 'Unmatch Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unmatch Element'.
  See Also:
    `doSwitch(EObject)`

### caseMatchResourceSet

    public T caseMatchResourceSet(MatchResourceSet object)

  Returns the result of interpreting the object as an instance of 'Resource Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resource Set'.
  See Also:
    `doSwitch(EObject)`

### caseMatchElement

    public T caseMatchElement(MatchElement object)

  Returns the result of interpretting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseMatchModel

    public T caseMatchModel(MatchModel object)

  Returns the result of interpreting the object as an instance of 'Model'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model'.
  See Also:
    `doSwitch(EObject)`

### caseUnmatchModel

    public T caseUnmatchModel(UnmatchModel object)

  Returns the result of interpreting the object as an instance of 'Unmatch Model'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unmatch Model'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

Copyright 2006 IBM Corporation and others. All Rights Reserved.